Bug 525944 - hpcups busy loops if backend exits
Summary: hpcups busy loops if backend exits
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-27 12:57 UTC by Need Real Name
Modified: 2009-11-13 02:32 UTC (History)
2 users (show)

Fixed In Version: 3.9.8-18.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-13 02:32:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CUPS Bugs and Features 3399 None None None Never
Launchpad 463224 None None None Never

Description Need Real Name 2009-09-27 12:57:55 UTC
in case of an error hpcups prints syslog messages
with huge rate, what fills 6Gb /var in 10-15 minutes
and makes computer unusable.
rpm -q cups
cups-1.4-0.rc1.15.fc11.x86_64
even restarting cups does not help

Syslog messages:

Sep 27 08:50:45 localhost HP_LaserJet_3055: prnt/hpijs/services.cpp 386: unable to write to output, fd=1, count=4096: Broken pipe
Sep 27 08:50:45 localhost HP_LaserJet_3055: prnt/hpijs/services.cpp 386: unable to write to output, fd=1, count=4096: Broken pipe
Sep 27 08:50:45 localhost HP_LaserJet_3055: prnt/hpijs/services.cpp 386: unable to write to output, fd=1, count=4096: Broken pipe
Sep 27 08:50:45 localhost HP_LaserJet_3055: prnt/hpijs/services.cpp 386: unable to write to output, fd=1, count=4096: Broken pipe
Sep 27 08:50:45 localhost HP_LaserJet_3055: prnt/hpijs/services.cpp 386: unable to write to output, fd=1, count=4096: Broken pipe
Sep 27 08:50:45 localhost HP_LaserJet_3055: prnt/hpijs/services.cpp 386: unable to write to output, fd=1, count=4096: Broken pipe
Sep 27 08:50:45 localhost HP_LaserJet_3055: prnt/hpijs/services.cpp 386: unable to write to output, fd=1, count=4096: Broken pipe
Sep 27 08:50:45 localhost HP_LaserJet_3055: prnt/hpijs/services.cpp 386: unable to write to output, fd=1, count=4096: Broken pipe

Comment 1 Need Real Name 2009-09-27 12:58:19 UTC
rpm -qf /usr/lib/cups/filter/hpcups
hpijs-3.9.8-12.fc11.x86_64

Comment 2 Tim Waugh 2009-10-23 11:27:40 UTC
Are you still seeing this with hplip-3.9.8-14.fc11?

Are you able to reproduce this problem by following any particular steps?

Comment 3 Need Real Name 2009-10-28 18:12:04 UTC
There was no hplip-3.9.8-14.fc11.x86_64 in updates.
The hplip-3.9.8-12.fc11.x86_64
still polluting the log, fill /var and make machine unusable

Oct 28 14:08:40 localhost HP_LaserJet_3055: prnt/hpijs/services.cpp 386: unable to write to output, fd=1, count=4096: Broken pipe
Oct 28 14:08:40 localhost HP_LaserJet_3055: prnt/hpijs/services.cpp 386: unable to write to output, fd=1, count=4096: Broken pipe
Oct 28 14:08:40 localhost HP_LaserJet_3055: prnt/hpijs/services.cpp 386: unable to write to output, fd=1, count=4096: Broken pipe

lp       23653 10.1  0.0 173800  4268 ?        S    07:24  40:59 HP_LaserJet_3055 95 mal (stdin) 1 finishings=3 media=na_letter_8.5x11in number-up=1 job-uuid=urn:uuid:1da4bff9-14e1-3529-54fb-37ad62b58840 job-originating-host-name=localhost

just any problem with printing and in 5 minutes /var is full

Comment 4 Tim Waugh 2009-10-29 13:11:43 UTC
Busy-loop condition fixed in hplip-3.9.8-17.fc11.

What does 'lpstat -s' say about the queue?  I wonder why the backend is exiting early.

Comment 5 Fedora Update System 2009-11-04 12:15:57 UTC
hplip-3.9.8-18.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10759

Comment 6 Fedora Update System 2009-11-13 02:31:54 UTC
hplip-3.9.8-18.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.